Bug 220393 - databases/mongodb34: update to 3.4.5
Summary: databases/mongodb34: update to 3.4.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Richard Gallamore
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-30 19:25 UTC by Eric Camachat
Modified: 2017-07-06 19:44 UTC (History)
2 users (show)

See Also:


Attachments
update to 3.4.5 (4.37 KB, patch)
2017-06-30 19:25 UTC, Eric Camachat
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Camachat 2017-06-30 19:25:26 UTC
Created attachment 183961 [details]
update to 3.4.5

update to 3.4.5
Comment 1 Eric Camachat 2017-06-30 21:49:28 UTC
On ZFS it will get mlock() EAGIN error.
My machine has 8GB RAM, need someone to test it on ZFS with lager RAM.
Comment 2 Eric Camachat 2017-07-01 00:40:21 UTC
(In reply to Eric Camachat from comment #1)
Add those to lines into /boot/loader.conf.local then works fine with ZFS:
vfs.zfs.arc_max="512M"
vfs.zfs.prefetch_disable="1"
Comment 3 commit-hook freebsd_committer 2017-07-06 19:36:55 UTC
A commit references this bug:

Author: ultima
Date: Thu Jul  6 19:36:05 UTC 2017
New revision: 445168
URL: https://svnweb.freebsd.org/changeset/ports/445168

Log:
  * Updated to 3.4.5
  * Sorted Makefile
  * regenerated patches

  PR:		220393
  Submitted by:	Eric Camachat <eric@camachat.org> (maintainer)
  Reviewed by:	lifanov (mentor)
  Approved by:	lifanov (mentor)
  Differential Revision:	https://reviews.freebsd.org/D11496

Changes:
  head/databases/mongodb34/Makefile
  head/databases/mongodb34/distinfo
  head/databases/mongodb34/files/patch-SConstruct
  head/databases/mongodb34/files/patch-src_mongo_crypto_crypto__openssl.cpp
  head/databases/mongodb34/files/patch-src_mongo_util_net_ssl__manager.cpp
Comment 4 Richard Gallamore freebsd_committer 2017-07-06 19:44:50 UTC
Committed, thanks!